Function
getIdByName
Appends a name to a name store.
getIdByName(nameStore, name, id[, cache])
Include Headers
seqan/store.h
Parameters

nameStore | A name store, e.g. readNameStore See: FragmentStore
name | The name to be searched. Types: CharString
id | The resulting id.
cache | A structure to efficiently retrieve the id for a given name. If ommited a brute force method is used to search. Types: NameStoreCache Default: Tag.Nothing

Return Values
true if the name was found and false if not.
See Also
getIdByName, appendName, refresh
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47